
const config = require('../../config/index')
let sequelize = require('sequelize')

//require 以当前文件为基本路径
//let SequelizeInstance = require('../../../xz-lppx-common/config/db.conf')
let common = require('xz-lppx-common')
let SequelizeInstance  = common.config.SequelizeInstance


let userModel = require('../user/user')
let itemModel = require('../item/item')



class itemCommentModel extends sequelize.Model{

}

itemCommentModel.init({
  //id
  // id: {
  //   type:sequelize.DataTypes.BIGINT,
  //    primaryKey:true,
  //    allowNull : false,
  //    autoIncrement : true

  // },


  //评论id
  comment_id:{
     type : sequelize.DataTypes.STRING,
     allowNull:false     

  },

  //评论人id
  user_id:{
    type: sequelize.DataTypes.STRING,
    allowNull: false,
    references:{
      model: userModel,
      key : 'user_id'
    }
  },

  //评论状态,审核用
  comment_stat : {
    type : sequelize.DataTypes.STRING,
    

  },

  //外联item_id
  item_id:{
    type : sequelize.DataTypes.STRING,
    allowNull: false,
    references:{
      model: itemModel,
      key : 'item_id'
    },
    
  },

  //content评论内容
  content:{
    type: sequelize.DataTypes.STRING
  },

  //评论的图片
  pictures:{
    type:sequelize.DataTypes.STRING
  },

  reply_count:{
    type:sequelize.DataTypes.INTEGER,
    defaultValue: 0,
    comment : '回复数量'
  },


  //
  up_count: {
    type: sequelize.INTEGER(12),
    defaultValue: 0,
    comment: '赞'

  },

  down_count: {
    type: sequelize.INTEGER(12),
    defaultValue: 0,
    comment: '踩'
  },

  createdAt:{
    type: sequelize.DATE,
    //allowNull: false,
    //defaultValue:sequelize.DataTypes.NOW
  },
  updatedAt:{
    type: sequelize.DataTypes.DATE
  },
  deletedAt:{
    type: sequelize.DataTypes.DATE
  },

  is_deleted: {
    type: sequelize.TINYINT,
    defaultValue: 0,
    comment: '是否已删除'
  },


},{
  tableName:'item-comment',
  freezeTableName: true,
  sequelize:SequelizeInstance,
  modelName : 'item-comment'
})


module.exports = itemCommentModel