
const config = require('../../config/index')
let sequelize = require('sequelize')

//require 以当前文件为基本路径
//let SequelizeInstance = require('../../../xz-lppx-common/config/db.conf')

let common = require('xz-lppx-common')
let SequelizeInstance  = common.config.SequelizeInstance

let userModel = require('../user/user')



//class
class itemModel extends sequelize.Model {
  static fun1(){
    return
  }

  fun2(){

  }
}



let itemInstance = itemModel.init({
  // id: {
  //   type: sequelize.BIGINT,
  //   autoIncrement: true,
  //   allowNull: false,
  //   //primaryKey: true
  // },

  item_id: {
    type: sequelize.STRING(63),
    allowNull: false,
    primaryKey: true,
    comment:"主键，item id"
  },
  
  user_id: {
    
    type: sequelize.STRING(),
    
    //对用户表的引用
    references:{
        //type: sequelize.DataTypes.STRING,
        model: userModel,
        key: 'user_id',
        
    },
    onDelete: "NO ACTION",
    onUpdate:"NO ACTION",

    allowNull: false,
    comment: '作者，发贴人user_id'
  },

  //阅读量
  read_count:{
     type: sequelize.DataTypes.INTEGER(9),
     defaultValue: 0,
     comment: '阅读量'
  },

  text_content:{
    type: sequelize.DataTypes.TEXT,
    comment:'文字内容'
  },

  pictures:{
    //只有postgred 支持 array
    //type: sequelize.DataTypes.ARRAY(sequelize.DataTypes.STRING),
    //type:sequelize.DataTypes.STRING,
    type:sequelize.DataTypes.TEXT,
    comment: '图片数组字符串以;分隔'
  },

  up_count: {
    type: sequelize.INTEGER(12),
    defaultValue: 0,
    comment: '赞'

  },

  down_count: {
    type: sequelize.INTEGER(12),
    defaultValue: 0,
    comment: '踩'
  },

  repost_count: {
    type: sequelize.INTEGER(12),
    defaultValue: 0,
    comment: '转发'
  },

  createdAt:{
    type: sequelize.DATE,
    //allowNull: false,
    //defaultValue:sequelize.DataTypes.NOW
  },
  updatedAt:{
    type: sequelize.DataTypes.DATE
  },
  deletedAt:{
    type: sequelize.DataTypes.DATE
  },

  is_deleted: {
    type: sequelize.TINYINT,
    defaultValue: 0,
    comment: '是否已删除'
  }

}, {
  tableName:'item-model',
  freezeTableName: true,
  sequelize:  SequelizeInstance,
  modelName: "item-model"
})


module.exports = itemModel

