
const config = require('../../config/index')
let sequelize = require('sequelize')

//require 以当前文件为基本路径
//let SequelizeInstance = require('../../../xz-lppx-common/config/db.conf')

let common = require('xz-lppx-common')
let SequelizeInstance  = common.config.SequelizeInstance




class userModel extends sequelize.Model{

}

userModel.init({
  //id
  // id: {
  //   type:sequelize.DataTypes.BIGINT,
  //    //primaryKey:true,
  //    allowNull : false,
  //    autoIncrement : true

  // },

  //用户id
  user_id: {
     type: sequelize.DataTypes.STRING, 
     allowNull:false,
     comment: '用户ID',
     primaryKey:true,
     //unique: true 主键一定是唯一
     
  },

  //用户名
  username:{
    type:sequelize.DataTypes.STRING,
    comment:'用户名'
  },

  //电话号码
  phone:{
    type:sequelize.DataTypes.STRING,
    unique: true,

  },

  //用户email
  mail:{
    type:sequelize.DataTypes.STRING,
    validate:{
      isEmail:true
    }
  },

  
  //状态（是否被封禁）
  stat: {
    type:sequelize.DataTypes.STRING
  },


  //用户角色（权限）
  role: {
    type:sequelize.DataTypes.STRING
  },

  //密码salt
  salt:{
    type:sequelize.DataTypes.STRING
  },
  
  //密码加salt后的md5值
  pwd_md5 :{
    type:sequelize.DataTypes.STRING
  },

  //用户注册时间
  pwd_md5:{
    type:sequelize.DataTypes.DATE
  } ,

  //用户注册IP
  reg_ip :{
    type:sequelize.DataTypes.STRING(20)
  } ,

  //上次登陆时间
  last_login_time:{
    type:sequelize.DataTypes.DATE
  },


  //上次登陆ip
  last_login_ip :{
    type:sequelize.DataTypes.STRING(20)
  } ,

  //用户性别
  Gender:{
      type:sequelize.DataTypes.TINYINT
  },

  //用户年龄
  age:{
    type:sequelize.DataTypes.TINYINT
  },

  //真实姓名
  real_name :{
    type:sequelize.DataTypes.STRING
  },

  //地址
  address: {
    type:sequelize.DataTypes.STRING
  },

  //身份证号
  idcard_num: {
    type:sequelize.DataTypes.STRING
  }
},{
  tableName:'user',
  freezeTableName: true,
  sequelize:SequelizeInstance,
  modelName : 'user'
})


module.exports = userModel